Package com.datecs.fiscalprinter.SDK.model.UserLayerV2

# Class cmdDisplay

java.lang.Object
com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdDisplay

    public class cmdDisplay
    extends DatecsFiscalDevice

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `cmdDisplay()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `clear()` | Clears the external display.
  `int` | `GetBkLightAutoOff()` |
  `void` | `SetBkLightAutoOff​(java.lang.String value)` |
  `void` | `setLowerLineText​(java.lang.String lowerLineText)` | Displaying text on upper line of the external display.
  `void` | `setUpperLineText​(java.lang.String upperLineText)` | Displaying text on second line of the external display.

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice

  `checkErrorCode, close, getConnectedECRV1, getConnectedModelV2, getConnectedPrinterV1, getCountryCode, getMaxDepartments, getMaxStockGroup, isCheckLastError, isConnectedDeviceV2, isConnectedECR, isConnectedPrinter, isEditItemPrice, isEditItemQTY, isFontSupported, isPaperCuttingDevice, setCheckLastError, setConnectedModel, setConnectedModel, setConnectedModel, setCountryCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### cmdDisplay

    public cmdDisplay()

- ## Method Details

  - ### setUpperLineText

    public void setUpperLineText​(java.lang.String upperLineText) throws FiscalException
    Displaying text on second line of the external display.
    Parameters:
      `upperLineText` -
    Throws:
      `FiscalException`

  - ### setLowerLineText

    public void setLowerLineText​(java.lang.String lowerLineText) throws FiscalException
    Displaying text on upper line of the external display.
    Parameters:
      `lowerLineText` -
    Throws:
      `FiscalException`

  - ### clear

    public void clear() throws java.io.IOException, FiscalException
    Clears the external display.
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetBkLightAutoOff

    public int GetBkLightAutoOff()

  - ### SetBkLightAutoOff

    public void SetBkLightAutoOff​(java.lang.String value)